# Uses of Class
java.awt.dnd.DragGestureRecognizer

Packages that use DragGestureRecognizer
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.dnd
Drag and Drop is a direct manipulation gesture found in many Graphical User Interface systems that provides a mechanism to transfer information between two entities logically associated with presentation elements in the GUI.

- ## Uses of DragGestureRecognizer in java.awt

  Methods in java.awt with type parameters of type DragGestureRecognizer
  Modifier and Type
  Method
  Description
  `<T extends DragGestureRecognizer>
  T`
  Toolkit.`createDragGestureRecognizer(Class<T> abstractRecognizerClass, DragSource ds, Component c, int srcActions, DragGestureListener dgl)`
  Creates a concrete, platform dependent, subclass of the abstract DragGestureRecognizer class requested, and associates it with the DragSource, Component and DragGestureListener specified.

- ## Uses of DragGestureRecognizer in java.awt.dnd

  Subclasses of DragGestureRecognizer in java.awt.dnd
  Modifier and Type
  Class
  Description
  `class`
  `MouseDragGestureRecognizer`
  This abstract subclass of `DragGestureRecognizer` defines a `DragGestureRecognizer` for mouse-based gestures.
  Methods in java.awt.dnd with type parameters of type DragGestureRecognizer
  Modifier and Type
  Method
  Description
  `<T extends DragGestureRecognizer>
  T`
  DragSource.`createDragGestureRecognizer(Class<T> recognizerAbstractClass, Component c, int actions, DragGestureListener dgl)`
  Creates a new `DragGestureRecognizer` that implements the specified abstract subclass of `DragGestureRecognizer`, and sets the specified `Component` and `DragGestureListener` on the newly created object.
  Methods in java.awt.dnd that return DragGestureRecognizer
  Modifier and Type
  Method
  Description
  `DragGestureRecognizer`
  DragSource.`createDefaultDragGestureRecognizer(Component c, int actions, DragGestureListener dgl)`
  Creates a new `DragGestureRecognizer` that implements the default abstract subclass of `DragGestureRecognizer` for this `DragSource`, and sets the specified `Component` and `DragGestureListener` on the newly created object.
  `DragGestureRecognizer`
  DragGestureEvent.`getSourceAsDragGestureRecognizer()`
  Returns the source as a `DragGestureRecognizer`.
  Constructors in java.awt.dnd with parameters of type DragGestureRecognizer
  Modifier
  Constructor
  Description
  ``
  `DragGestureEvent(DragGestureRecognizer dgr, int act, Point ori, List<? extends InputEvent> evs)`
  Constructs a `DragGestureEvent` object given by the `DragGestureRecognizer` instance firing this event, an `act` parameter representing the user's preferred action, an `ori` parameter indicating the origin of the drag, and a `List` of events that comprise the gesture(`evs` parameter).